=== debian/changelog ===
cod-tools (2.1+dfsg-1) unstable; urgency=low

  * Initial upload (Closes: #864355).

  * New upstream release.
  * Removing patches or part of them that have been incorporated in the
    upstream.
  * Repackaging the source to comply with the DFSG.

 -- Andrius Merkys <andrius.merkys@gmail.com>  Mon, 05 Mar 2018 13:18:40 +0200

cod-tools (2.0-2) UNRELEASED; urgency=low

  * debian/copyright: listing CIFTEST_2.1, spglib and phonopy.
  * debian/copyright: adding Files-Excluded stanza to exclude non-DFSG-free
    files.
  * debian/cod-tools.install: adding missing essential scripts.
  * debian/control: adding missing dependency on 'libparse-yapp-perl' for
    'libcod-cif-parser-yapp-perl'.

 -- Andrius Merkys <andrius.merkys@gmail.com>  Fri, 15 Dec 2017 09:51:00 +0200

cod-tools (2.0-1) unstable; urgency=low

  * Initial release.

 -- Andrius Merkys <andrius.merkys@gmail.com>  Tue, 26 Sep 2017 09:40:00 +0300
