=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ --with python2

override_dh_installchangelogs:
	dh_installchangelogs CHANGELOG

get-orig-source:
	wget http://www.crystallography.net/cod/archives/2017/software/cod-tools/cod-tools-2.1.tar.gz \
		-O cod-tools_2.1.orig.tar.gz
