## cod-tools 2.2+dfsg

=== src/components/codcif/Makefile ===
--- 
+++ 
@@ -1,8 +1,8 @@
 #---*- Makefile -*-------------------------------------------------------------
-#$Author: saulius $
-#$Revision: 5246 $
-#$Date: 2017-05-10 20:30:16 +0300 (Wed, 10 May 2017) $
-#$URL: svn://www.crystallography.net/cod-tools/tags/v2.1/src/components/codcif/Makefile $
+#$Author: andrius $
+#$Revision: 6170 $
+#$Date: 2018-04-23 23:28:36 +0300 (Mon, 23 Apr 2018) $
+#$URL: svn://www.crystallography.net/cod-tools/tags/v2.2/src/components/codcif/Makefile $
 #------------------------------------------------------------------------------
 
 MAKECONF_FILES = ${filter-out %~, ${wildcard Makeconf*}}
@@ -48,6 +48,14 @@
 PRG_DIRS   = ${dir ${PRG_FILES}}
 PRG_DEPEND = ${join ${PRG_DIRS}, ${PRG_SOURCE:%.c=.%.d}}
 
+# The file that holds version number of the package:
+
+VFILE = .version
+
+VERSION  := $(shell grep -v "^\#" ${VFILE})
+SO_MAJOR := $(shell echo ${VERSION} | cut -d . -f 1)
+SO_MINOR := $(shell echo ${VERSION} | cut -d . -f 2-)
+
 # The header file that holds version number of the package:
 
 VERSION_H = version.h
@@ -71,7 +79,11 @@
 LOCAL_OBJS    = ${LOCAL_CFILES:%.c=${OBJDIR}/%.o} ${wildcard %.lex.o %.tab.o}
 LOCAL_DEPENDS = ${LOCAL_CFILES:%.c=.%.d}
 
-LOCAL_LIB := ${addprefix lib/lib, ${addsuffix .a, ${notdir ${shell pwd}} }}
+PACKAGE := ${notdir ${shell pwd}}
+LIBNAME := ${addprefix lib, ${PACKAGE}}
+
+LOCAL_LIB := ${addprefix lib/, ${addsuffix .a, ${LIBNAME} }}
+LOCAL_SO  := ${addprefix lib/, ${addsuffix .so.${VERSION}, ${LIBNAME} }}
 
 #
 # ./testprogs directory contains test drivers, each of them containing
@@ -126,7 +138,7 @@
 ## LIBFLAGS = ${addprefix -l, ${LIB_NAMES}}
 
 ## LDFLAGS  = -L/usr/local/lib
-## LIBFLAGS = -lm
+LIBFLAGS = -lm
 
 SVN_VERSION := $(shell svnversion)
 
@@ -156,7 +168,7 @@
 
 .PHONY: all lib libs clean distclean cleanAll FORCE
 
-all: ${LOCAL_LIB} ${EXE_FILES} ${TST_DRIVERS}
+all: ${LOCAL_LIB} ${LOCAL_SO} ${EXE_FILES} ${TST_DRIVERS}
 
 lib libs: ${LIB_DIRS}
 
@@ -195,6 +207,9 @@
 
 ${LOCAL_LIB}: ${LOCAL_OBJS} ${YYOBJ} ${FLEXOBJ}
 	ar cr ${LOCAL_LIB} $^
+
+${LOCAL_SO}: ${LOCAL_OBJS} ${YYOBJ} ${FLEXOBJ}
+	${CC} -shared -Xlinker -soname=${LIBNAME}.so.${SO_MAJOR} -o $@ $^
 
 #------------------------------------------------------------------------------
 
@@ -388,24 +403,3 @@
 	for i in ${BENCH_DIR}/*${EXT}; \
 	do \
 	    printf "%-20s " `basename $$i` ; \
-	    printf "%4d\n" `./$< ${SIZE_OPTIONS} $$i 2> /dev/null | wc -l` ; \
-	done | tee -a $@
-
-#------------------------------------------------------------------------------
-
-INCLUDE_DIR ?= ${PREFIX}/include
-LIB_DIR     ?= ${PREFIX}/lib
-
-.PHONY: install
-
-install: ${LOCAL_LIB}
-	mkdir -p ${INCLUDE_DIR}
-	mkdir -p ${LIB_DIR}
-	cp *.h ${INCLUDE_DIR}
-	cp ${LOCAL_LIB} ${LIB_DIR}
-
-#------------------------------------------------------------------------------
-
-clean:
-	rm -f *~
-	rm -f ${DEL_OBJS} ${FLEXOBJ} ${YYOBJ}
