=== debian/changelog ===
cod-tools (2.2+dfsg-5) unstable; urgency=medium

  * Skipping one more CI test too sensitive to spglib version.
  * Using pybuild to build Python packages.

 -- Andrius Merkys <andrius.merkys@gmail.com>  Mon, 17 Dec 2018 08:37:10 -0500

cod-tools (2.2+dfsg-4) unstable; urgency=medium

  * Skipping CI tests too sensitive to spglib version (Closes: #913455).
  * Package cod-tools depends on libparse-yapp-perl. Currently, it gets this
    dependency from libcod-cif-parser-yapp-perl, but strictly speaking
    cod-tools has to have it in its depends, as some modules use it directly.
  * debian/control: package build-depends on gawk, as it is used in
    after-build tests.
  * Bumping Standards Version to 4.2.1.

 -- Andrius Merkys <andrius.merkys@gmail.com>  Fri, 16 Nov 2018 02:05:16 -0500

cod-tools (2.2+dfsg-3) unstable; urgency=medium

  * Renaming target 'override_dh_install' to 'override_dh_install-arch'
    (Closes: #903867).
  * debian/control: adding a pair of missing build-depends.
  * debian/control: autoconf is no longer required, as libsymspg is not
    compiled during build.
  * Adding a patch fixing Python3 compilation errors/warnings of pycodcif.
  * Adding patch descriptions.

 -- Andrius Merkys <andrius.merkys@gmail.com>  Tue, 17 Jul 2018 01:17:02 -0400

cod-tools (2.2+dfsg-2) unstable; urgency=medium

  * debian/control: adding missing dependencies (Closes: #903666).
  * debian/control: putting test dependencies into build dependencies, as
    tests are run during the build process (Closes: #903689).
  * debian/control: placing dependencies one per line.
  * debian/tests/upstream: bypassing locale-dependent tests.
  * debian/tests/upstream: fixing incorrect test path.
  * Moving templates of *.install and *.links files to debian/template/;
    preparing the build system to clean after the build.

 -- Andrius Merkys <andrius.merkys@gmail.com>  Fri, 13 Jul 2018 02:51:52 -0400

cod-tools (2.2+dfsg-1) unstable; urgency=medium

  * New upstream version 2.2 (Closes: #900458)
  * Splitting off libdevel packages from libcexceptions0 and libgetoptions0.
  * debian/libcexceptions0.install: libcexceptions.so.* is not properly
    installed by the build system.
  * Installing missing shlib symlinks for libcexceptions0 and libgetoptions0.
  * Package 'tree' is a build dependency (more a test dependency), not a real
    dependency of cod-tools package.
  * Dropping the dependency on 'sqlite3'.
  * debian/control: adding missing ${shlibs:Depends} for libgetoptions0.
  * debian/watch: using more stable location for uscan'ing at
    http://wiki.crystallography.net/cod-tools/.
  * debian/copyright: updating Files-Excluded stanza.
  * Removing integrated patches:
    - cif_split_primitive-tests.diff
    - create-empty-dirs.diff
    - tidy-yy.diff
    - prefix-to-destdir.diff
  * Updating patches:
    - codcif-svnversion.diff
    - hardening.diff
    - distclean-tmp.diff
  * Removing unneeded lintian overrides.
  * Removing overridden Section from cod-tools package entry in debian/control.
  * Fixing hardening of libcod-cif-parser-bison-perl and python-pycodcif.
  * Renaming patch relro.diff to hardening.diff.
  * Making uscan check the upstream's GPG signature.
  * Moving debian/source.lintian-overrides to debian/source/lintian-overrides.
  * Replacing priority 'extra' via 'optional'.
  * Bumping debian/compat to 11.
  * Splitting codcif package into libcodcif2 and libcodcif-dev, placing
    executable libraries to cod-tools.
  * Adding patch descriptions.
  * Enhancing package descriptions.
  * Installing all static libraries to multiarch directory.
  * debian/control: moving ${python:Versions} to XB-Python-Version
    (Closes: #901997).
  * Adding debian/upstream/metadata.
  * Adding python3-pycodcif package.
  * debian/copyright: spglib is no longer shipped together with cod-tools
    Debian tarball.
  * Installing all scripts (except cif_parse_old_star and cif_printout_Python)
    and Perl modules of cod-tools.
  * debian/cod-tools.install: installing SPGLib.pm and its shared object.
  * Adding an autopkgtest.
  * debian/rules: adding '--no-parallel' option for 'dh' as the package is not
    ready for parallel build.

 -- Andrius Merkys <andrius.merkys@gmail.com>  Mon, 02 Jul 2018 13:12:45 -0400
