=== debian/tests/control ===
Tests: upstream
Depends: @, diffutils, findutils, libchemistry-openbabel-perl, perl,
 rsync, tree
Restrictions: allow-stderr
